# Uses of Class
java.beans.PersistenceDelegate

Packages that use PersistenceDelegate
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of PersistenceDelegate in java.beans

Subclasses of PersistenceDelegate in java.beans
Modifier and Type
Class
Description
`class`
`DefaultPersistenceDelegate`
The `DefaultPersistenceDelegate` is a concrete implementation of the abstract `PersistenceDelegate` class and is the delegate used by default for classes about which no information is available.
Methods in java.beans that return PersistenceDelegate
Modifier and Type
Method
Description
`PersistenceDelegate`
Encoder.`getPersistenceDelegate​(Class<?> type)`
Returns the persistence delegate for the given type.
Methods in java.beans with parameters of type PersistenceDelegate
Modifier and Type
Method
Description
`void`
Encoder.`setPersistenceDelegate​(Class<?> type, PersistenceDelegate delegate)`
Associates the specified persistence delegate with the given type.